# Class: TextElements

Defined in: | lib/psd/layer_info/typetool.coffee
Inherits: | LayerInfo

## Class Method Summary

- . (void) shouldParse(key)

## Instance Method Summary

- # (void) parse()
- # (void) parseTransformInfo()
- # (void) fonts()
- # (void) sizes()
- # (void) alignment()
- # (void) colors() Return all colors used for text in this layer.
- # (void) styles()
- # (void) toCSS() Creates the CSS string and returns it.
- # (void) export()

## Inherited Method Summary

### Methods inherited from LayerInfo

#skip #parse

## Class Method Details

. (void) shouldParse(key)

## Constructor Details

# (void) constructor(layer, length)

## Instance Method Details

# (void) parse()

# (void) parseTransformInfo()

# (void) fonts()

# (void) sizes()

# (void) alignment()

# (void) colors()

Return all colors used for text in this layer. The colors are returned in RGBA format as an array of arrays.

# (void) styles()

# (void) toCSS()

Creates the CSS string and returns it. Each property is newline separated and not all properties may be present depending on the document.

Colors are returned in rgba() format and fonts may include some internal Photoshop fonts.

# (void) export()

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input